#define MAXIMUM_PATTERNS  128
#define MAXIMUM_CHANNELS  16
#define MAX_DIR_ENTRIES   500
#define DEFAULT_SAM_RATE  11000
#define DIGITAL_ECHOING
#define DEFAULT_PRECISION 8
#define DEFAULT_STEREO    0
#define FG_SLEEP          20000

/*global keys*/
#define FC_SCREEN_ESCAPE 'Q'
#define FC_ARROW_UP      KEY_UP
#define FC_ARROW_DN      KEY_DOWN
#define FC_ARROW_LEFT    KEY_LEFT
#define FC_ARROW_RIGHT   KEY_RIGHT
#define FC_ENTER         10
#define FC_SPACE         ' '
#define FC_INS_ENTRY     'I'
#define FC_DEL_ENTRY     'D'

#define FC_TRAC_START    'O'
#define FC_TRAC_PAT      'P'

/*editor only keys (not used in playback)*/
#define FC_NOTE_C        'z'
#define FC_NOTE_CS       's'
#define FC_NOTE_D        'x'
#define FC_NOTE_DS       'd'
#define FC_NOTE_E        'c'
#define FC_NOTE_F        'v'
#define FC_NOTE_FS       'g'
#define FC_NOTE_G        'b'
#define FC_NOTE_GS       'h'
#define FC_NOTE_A        'n'
#define FC_NOTE_AS       'j'
#define FC_NOTE_B        'm'

#define FC_SAVE_SONG     'S'
#define FC_SAVE_MOD      'A'

#ifdef SCANDINAVIAN_KBD

#define FC_GOTO_SAM_EDIT '!'
#define FC_GOTO_SEQ_EDIT '"'
#define FC_GOTO_PAT_EDIT '#'	/* changed to comply to docs (SHFT-1) */

#define FC_DEC_OCT       ','	/* changed because of the following */
#define FC_INC_OCT       '.'

/*pattern editor specific*/
#define FC_PE_DEC_PAT_NO '/'	/* IMHO it's easier to use keypad */
#define FC_PE_INC_PAT_NO '*'
#define FC_PE_DEC_SAM_NO '-'
#define FC_PE_INC_SAM_NO '+'

#else	/* !SCANDINAVIAN_KBD */

#define FC_GOTO_SAM_EDIT '!'
#define FC_GOTO_SEQ_EDIT '@'
#define FC_GOTO_PAT_EDIT '#'

#define FC_DEC_OCT       ';'
#define FC_INC_OCT       '\''

/*pattern editor specific*/
#define FC_PE_DEC_PAT_NO '-'
#define FC_PE_INC_PAT_NO '='
#define FC_PE_DEC_SAM_NO ','
#define FC_PE_INC_SAM_NO '.'

#endif	/* SCANDINAVIAN_KBD */

#define FC_PE_CLR_SLOT   FC_SPACE
#define FC_PE_SET_BLK    'G'
#define FC_PE_ED_SAM_NO  '['
#define FC_PE_ED_CMD     ']'
#define FC_PE_ADD_RLO    '`'
#define FC_PE_MBEGIN     'B'
#define FC_PE_MEND       'E'
#define FC_PE_MDELETE    'Z'
#define FC_PE_MCOPY      'C'
#define FC_PE_MPASTE     'V'
#define FC_PE_CHANTOGG   'T'
#define FC_PE_CMD_ASSIST 'M'
#define FC_PE_GOTO_PAT   'J'

/*sample editor specific*/
#define FC_SM_ED_ATTR    FC_ENTER
#define FC_SM_LOAD_SAM   FC_SPACE

/*sequence editor specific*/
#define FC_SE_EDIT_ENTRY '['
#define FC_SE_SET_LOOP   'G'
#define FC_SE_SET_BPM    'T'
#define FC_SE_SET_NOLOOP 'N'

/*trac playback specific*/
/*somebody is bound to ask for this to be changed*/
#define FC_TRAC_VOLBAR   '='

/*funkgold_dir specific*/
#define FC_DIR_RENAME    'R'

#define FN_EXTENSION     ".fnk" /*".Funk"*/

/*colour defs*/

/*****************************
you can touch these

BLACK     0
RED       1
GREEN     2
YELLOW    3
BLUE      4
MAGENTA   5
CYAN      6
WHITE     7
********************************/

#define COL_TOPBAR_BG       4
#define COL_TOPBAR_FG       7

#define COL_BOX_BG          4
#define COL_BOX_FG          6

#define COL_FERR_MESSAGE_BG 0
#define COL_FERR_MESSAGE_FG 6

#define COL_TITLE_BG        0
#define COL_TITLE_FG        6

#define COL_TEXT_BG         0
#define COL_TEXT_FG         7

#define COL_TEXT2_BG        0
#define COL_TEXT2_FG        2

#define COL_BAR_BG          0
#define COL_BAR_FG          5

/**leave alone************************/
#define COL_NOTHING         0
#define COL_TOPBAR          1
#define COL_BOX             2
#define COL_FERR_MESSAGE    3
#define COL_TITLE           4
#define COL_TEXT            5
#define COL_TEXT2           6
#define COL_BAR             7
